### Method

# Gom Adapter queue_write

#### Declaration [src]

    void
    gom_adapter_queue_write (
      GomAdapter* adapter,
      GomAdapterCallback callback,
      gpointer user_data
    )

#### Description [src]

Queues a callback to be executed within the SQLite thread. The callback can perform reads and writes.

#### Parameters

`callback`

  Type: `GomAdapterCallback`

  A callback to execute write queries on SQLite.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.